explain_sprintf_or_die(3)

NAME
explain_sprintf_or_die - formatted output conversion and report errors

SYNOPSIS
#include <libexplain/sprintf.h>

int explain_sprintf_or_die(char *data, const char *format, ...);
int explain_sprintf_on_error(char *data, const char *format, ...);

DESCRIPTION
The explain_sprintf_or_die function is used to call the sprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_sprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_sprintf_on_error function is used to call the sprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_sprintf(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the sprintf(3) system call.

format
    The format, exactly as to be passed to the sprintf(3) system call.

RETURN VALUE
The explain_sprintf_or_die function only returns on success, see sprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_sprintf_on_error function always returns the value return by the wrapped sprintf(3) system call.

EXAMPLE
The explain_sprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_sprintf_or_die(data, format, ...);

SEE ALSO

sprintf(3)
    formatted output conversion

explain_sprintf(3)
    explain sprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller